VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Tabelle1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = True
'*************************************************************
' Modul       : Tabelle1
' Datum       : 14.05.2010
' Ersteller   : Gnther Mumme
' Copyright   : 2011 by GMG Computer - Consulting
' Beschreibung: Mit Alt|Return erzeugte Zeilenumbrche
'               in mehrere Zeilen untereinander schreiben.
' Hinweis     : Dieses Makro darf frei verwendet und auch den
'               eigenen Bedfnissen angepasst werden.
'               Weitergabe nur mit diesem Hinweistext erlaubt.
'*************************************************************

Option Explicit

Sub MehrZeiler()
'Mehrere Zeilen in 1 Zelle -&gt; mehrere Zellen
   Dim aZelle As Variant, Anz As Integer
   Dim rngFirstFree As Range, rng2Check As Range, c As Range
   Dim rng2Fill As Range
   Dim Abbruch As Boolean

   aZelle = Split(ActiveCell.Value, Chr(10))
   Anz = UBound(aZelle) + 1
   If Anz > 1 Then   'Mindestens 2 Zeilen
      'Prfung, ob Zeilen darunter frei sind
      With ActiveCell
         Set rngFirstFree = Cells(.Row + 1, .Column)
      End With
      
      Set rng2Check = Range(rngFirstFree, rngFirstFree.Resize(Anz - 1))
      For Each c In rng2Check
         If Not IsEmpty(c) Then
            MsgBox "Der Zielbereich ist nicht (komplett) leer!", _
             vbOKOnly + vbExclamation, "Abbruch ..."
            Abbruch = True
            Exit For
         End If
      Next c
      
      'Nur wenn gengend freien Zeilen vorhanden sind
      If Not Abbruch Then
         Range(ActiveCell, ActiveCell.Resize(Anz)) = _
         WorksheetFunction.Transpose(aZelle)
      End If
   End If
End Sub



